MemoryProtocolHandler.ByteChunkInputBuffer (Tomcat API Documentation)
Keywords: org.apache.coyote.memory.MemoryProtocolHandler.ByteChunkInputBuffer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.memory
Class MemoryProtocolHandler.ByteChunkInputBuffer

    java.lang.Object
      org.apache.coyote.memory.MemoryProtocolHandler.ByteChunkInputBuffer

All Implemented Interfaces:
  InputBuffer

Enclosing class:
  MemoryProtocolHandler

    protected class MemoryProtocolHandler.ByteChunkInputBuffer

extends java.lang.Object
implements InputBuffer

Field Summary
`protected ByteChunk` | `input`

Constructor Summary
`MemoryProtocolHandler.ByteChunkInputBuffer(ByteChunk input)`

Method Summary
`int` | `doRead(ByteChunk chunk, Request request)` Return from the input stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### input

    protected ByteChunk input

Constructor Detail

### MemoryProtocolHandler.ByteChunkInputBuffer

    public MemoryProtocolHandler.ByteChunkInputBuffer(ByteChunk input)

Method Detail

### doRead

    public int doRead(ByteChunk chunk,
                      Request request)
               throws java.io.IOException

  Description copied from interface: `InputBuffer`
  Return from the input stream. IMPORTANT: the current model assumes that the protocol will 'own' the buffer and return a pointer to it in ByteChunk ( i.e. the param will have chunk.getBytes()==null before call, and the result after the call ).

  Specified by:
    `doRead` in interface `InputBuffer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.